/*
 * Copyright 2010 James Pether Sörling
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *	$Id: ConfigurationManagerImpl.java 5442 2011-04-26 19:16:26Z pether $
 *  $HeadURL: https://cia.svn.sourceforge.net/svnroot/cia/tags/parent-pom-2011.05.31/service.impl/src/main/java/com/hack23/cia/service/impl/ConfigurationManagerImpl.java $
*/
package com.hack23.cia.service.impl;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.hack23.cia.service.api.ConfigurationManager;
import com.hack23.cia.service.api.SystemConfiguration;
import com.hack23.cia.service.api.UserConfiguration;
import com.hack23.cia.service.data.api.AgencyDAO;

/**
 * The Class ConfigurationManagerImpl.
 */
@Service(value="ConfigurationManager")
public final class ConfigurationManagerImpl implements ConfigurationManager {

	/** The configuration. */
	@Autowired
	private SystemConfiguration configuration;

	/** The agency dao. */
	@Autowired
	private AgencyDAO agencyDAO;

	/* (non-Javadoc)
	 * @see com.hack23.cia.service.api.ConfigurationManager#getConfiguration()
	 */
	@Override
	public SystemConfiguration getSystemConfiguration() {
		return configuration;
	}

	/* (non-Javadoc)
	 * @see com.hack23.cia.service.api.ConfigurationManager#getUserConfiguration(java.lang.String)
	 */
	@Override
	public UserConfiguration getUserConfiguration(final String url) {
		return new UserConfigurationImpl(null, null);
	}

	/**
	 * Setup.
	 */
	@PostConstruct
	public void setup() {
		if (agencyDAO.getAll().size() == 0) {

		}
	}

}
